package nl.sbdeveloper.themeparkplus.api.objects;

import com.sk89q.worldedit.regions.AbstractRegion;
import lombok.Getter;
import lombok.Setter;
import org.bukkit.Location;

import java.util.ArrayList;

public class WaitingRow {
    @Getter @Setter private String rideID;
    @Getter @Setter private AbstractRegion region;
    @Getter @Setter private int waitingPlayers = 0;
    @Getter @Setter private int waitingTimeMinutes = 0;
    private ArrayList<Location> signLocations = new ArrayList<>();

    public WaitingRow(String rideID, AbstractRegion region) {
        this.rideID = rideID;
        this.region = region;
    }

    public ArrayList<Location> getSignLocations() {
        return signLocations;
    }

    public void addSignLocation(Location loc) {
        this.signLocations.add(loc);
    }

    public void removeSignLocation(Location loc) {
        this.signLocations.remove(loc);
    }
}
