package nl.sbdeveloper.themeparkplus.api.enums;

import org.bukkit.block.BlockFace;

public enum WalkingDirection {
    /**
     * The walking direction. Removed combinations because those can't be used in the commands.
     */
    NORTH(BlockFace.NORTH),
    EAST(BlockFace.EAST),
    SOUTH(BlockFace.SOUTH),
    WEST(BlockFace.WEST);

    private BlockFace blockFace;

    WalkingDirection(BlockFace blockFace) {
        this.blockFace = blockFace;
    }

    public BlockFace getBlockFace() {
        return blockFace;
    }
}
